27 lines
887 B
Diff
27 lines
887 B
Diff
|
From b5a5fb4486dee09287df825ecd1d2f8b76a98682 Mon Sep 17 00:00:00 2001
|
||
|
From: Martin Wilck <martin.wilck@ts.fujitsu.com>
|
||
|
Date: Fri, 29 Aug 2014 15:42:51 +0200
|
||
|
Subject: Find kernel modules in extra and weak-updates path also
|
||
|
|
||
|
Signed-off-by: Thomas Renninger <trenn@suse.de>
|
||
|
---
|
||
|
dracut-functions.sh | 2 +-
|
||
|
1 files changed, 1 insertions(+), 1 deletions(-)
|
||
|
|
||
|
diff --git a/dracut-functions.sh b/dracut-functions.sh
|
||
|
index 22e16ff..208c295 100755
|
||
|
--- a/dracut-functions.sh
|
||
|
+++ b/dracut-functions.sh
|
||
|
@@ -1623,7 +1623,7 @@ find_kernel_modules_by_path () {
|
||
|
_OLDIFS=$IFS
|
||
|
IFS=:
|
||
|
while read a rest; do
|
||
|
- [[ $a = */$1/* ]] || [[ $a = updates/* ]] || continue
|
||
|
+ [[ $a = */$1/* ]] || [[ $a = updates/* ]] || [[ $a = extra/* ]] || [[ $a = weak-updates/* ]] || continue
|
||
|
printf "%s\n" "$srcmods/$a"
|
||
|
done < "$srcmods/modules.dep"
|
||
|
IFS=$_OLDIFS
|
||
|
--
|
||
|
1.7.6.1
|
||
|
|